%define user michaeljones

Name:           breathe
Version:        4.0.0
Release:        1%{?dist}
Summary:        Adds support for Doxygen xml output to reStructuredText and Sphinx
License:        BSD
URL:            https://github.com/%{user}/%{name}
Source0:        https://github.com/%{user}/%{name}/archive/v%{version}.tar.gz#/%{name}-%{version}.tar.gz
# Make target for html only ( see https://github.com/michaeljones/breathe/pull/190 )
Patch0:         breathe_build_html.patch
# Remove Python env in shebang ( https://github.com/michaeljones/breathe/issues/208 )
Patch1:         breathe_remove_env.patch

BuildArch:      noarch

BuildRequires:  doxygen
BuildRequires:  python2-devel
BuildRequires:  python-setuptools
BuildRequires:  python-sphinx
# NOTE: git is only needed because part of the build process checks if it's in
# a git repo
BuildRequires:  git

# Set the name of the documentation directory
%global _docdir_fmt %{name}

%description
Breathe is an extension to reStructuredText and Sphinx to be able to read and
render the Doxygen xml output.

%package        doc
Summary:        Documentation files for %{name}
# tinyxml uses zlib license
License:        BSD and zlib

%description    doc
This package contains documentation for developer documentation for %{name}.

%prep
%setup -q
%patch0
%patch1 -p1

%build
%{__python2} setup.py build
make %{?_smp_mflags} html
# Fix misspelling of LICENSE files ( see https://github.com/michaeljones/breathe/issues/207 )
mv LICENCE LICENSE

%install
%{__python2} setup.py install --skip-build --root %{buildroot}
# Remove the .buildinfo file
rm documentation/build/html/.buildinfo

%files
%{python2_sitelib}/*
%{!?_licensedir:%global license %%doc}
%license LICENSE

%files doc
%doc documentation/build/html
%license LICENSE

%changelog
* Sat May 16 2015 Dave Johansen <davejohansen@gmail.com> - 4.0.0-1
- Initial RPM release
